# $Revision: 1.71 $, $Date: 2004/09/21 00:46:22 $
#
# Conditional build:
%bcond_without	alsa		# without ALSA
%bcond_without	svga		# without SVGAlib & 3dfx support
#
Summary:	3D game engine based on id Software's Quake engine
Summary(pl):	Silnik gry 3D bazujcy na silniku Quake id Software
Name:		quakeforge
Version:	0.5.4
Release:	3
License:	GPL
Group:		Applications/Games
Source0:	http://dl.sourceforge.net/quake/%{name}-%{version}.tar.bz2
# Source0-md5:	63d56b50fddfe81c877e67981d4c013f
Source1:	%{name}.conf
Source2:	%{name}-servers.tgz
# Source2-md5:	e30556f153d979860bc2e3a9ed598b2b
Source3:	%{name}.png
Patch0:		%{name}-alsa.patch
Patch1:		%{name}-svga-noasm.patch
Patch2:		%{name}-libdir.patch
Patch3:		%{name}-noio.patch
URL:		http://www.quakeforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	XFree86-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	bison
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRequires:	xmms-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		specflags	-ffast-math -fomit-frame-pointer

%description
3D game engine based on id Software's Quake engine.

%description -l pl
Silnik gry 3D bazujcy na silniku Quake id Software.

%package common
Summary:	QuakeForge - Common files
Summary(pl):	QuakeForge - pliki wsplne
Group:		Applications/Games
Obsoletes:	quakeforge < 0.5.2-2.20030214.2

%description common
QuakeForge is a source port of Quake and QuakeWorld, the successors to
id Software's very popular DOOM series. Its primary development goal
is to remain compatible with the original games released by id
Software while adding portability and optional extensions to enhance
gameplay.

This package contains common files for all game versions.

%description common -l pl
QuakeForge jest portem rde gier Quake i QuakeWorld - sukcesorw
bardzo popularnej serii DOOM firmy id Software. Podstawowym celem
projektu jest zachowanie zgodnoci z oryginalnymi odpowiednikami
tyche gier przy jednoczesnym dodaniu opcjonalnych rozszerze
sucych podniesieniu jakoci zabawy.

Ten pakiet zawiera wsplne pliki dla wszystkich wersji gry.

%package devel
Summary:	QuakeForge - headers and devel libs
Summary(pl):	QuakeForge - pliki nagwkowe
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description devel
QuakeForge - headers and devel libs

%description devel -l pl
QuakeForge - pliki nagwkowe

%package static
Summary:	QuakeForge 3D game engine - static libraries
Summary(pl):	Silnik gry 3D QuakeForge - biblioteki statyczne
Group:		Applications/Games
Requires:	%{name}-devel = %{version}-%{release}

%description static
QuakeForge 3D game engine - static libraries

%description static -l pl
Silnik gry 3D QuakeForge - biblioteki statyczne

%package servers
Summary:	QuakeForge Servers
Summary(pl):	Serwery QuakeForge
Group:		Applications/Games
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}

%description servers
QuakeForge Servers.

%description servers -l pl
Serwery QuakeForge.

%package utils
Summary:	QuakeForge - utility programs
Summary(pl):	QuakeForge - programy narzdziowe
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description utils
QuakeForge - utility programs.

%description utils -l pl
QuakeForge - programy narzdziowe.

%package 3dfx
Summary:	QuakeForge client for 3dfx
Summary(pl):	Klient QuakeForge pod 3dfx
Group:		Applications/Games
Requires:	%{name}-libs-gl = %{version}-%{release}

%description 3dfx
Quakeforge client for 3dfx device.

%description 3dfx -l pl
Klient QuakeForge pod 3dfx.

%package fbdev
Summary:	QuakeForge client for fbdev
Summary(pl):	Klient QuakeForge pod fbdev
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}-%{release}

%description fbdev
Quakeforge client for framebuffer device.

%description fbdev -l pl
Klient QuakeForge pod framebuffer.

%package glx
Summary:	QuakeForge glx client
Summary(pl):	Klient QuakeForge glx
Group:		X11/Applications/Games
Requires:	%{name}-libs-gl = %{version}-%{release}

%description glx
Quakeforge client for X Window that uses OpenGL through GLX extension.

%description glx -l pl
Klient QuakeForge pod X Window uywajcy OpenGL poprzez rozszerzenie
GLX.

%package sdl
Summary:	QuakeForge client for SDL with 8-bit color
Summary(pl):	Klient QuakeForge pod SDL z 8-bitowym kolorem
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}-%{release}

%description sdl
Quakeforge client for SDL with 8-bit color.

%description sdl -l pl
Klient QuakeForge pod SDL z 8-bitowym kolorem.

%package sdl32
Summary:	QuakeForge client for SDL with various color depths support
Summary(pl):	Klient QuakeForge pod SDL z obsug rnych gbi kolorw
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}-%{release}

%description sdl32
Quakeforge client for SDL with various color depths support (8, 16,
32-bit).

%description sdl32 -l pl
Klient QuakeForge pod SDL z obsug rnych gbi kolorw (8, 16 i
32-bitowej).

%package sgl
Summary:	QuakeForge client for SDL with GL
Summary(pl):	Klient QuakeForge pod SDL z obsug GL
Group:		X11/Applications/Games
Requires:	%{name}-libs-gl = %{version}-%{release}

%description sgl
QuakeForge client for SDL that uses OpenGL through SDL.

%description sgl -l pl
Klient QuakeForge pod SDL, uywajcy OpenGL za porednictwem SDL.

%package svga
Summary:	QuakeForge client for svgalib
Summary(pl):	Klient QuakeForge pod svgalib
Group:		Applications/Games
Requires:	%{name}-libs-sw = %{version}-%{release}
Obsoletes:	quakeforge-svgalib

%description svga
Quakeforge client for svgalib.

%description svga -l pl
Klient QuakeForge pod svgalib.

%package x11
Summary:	QuakeForge client for x11
Summary(pl):	Klient QuakeForge pod x11
Group:		X11/Applications/Games
Requires:	%{name}-libs-sw = %{version}-%{release}

%description x11
Quakeforge client for x11.

%description x11 -l pl
Klient QuakeForge pod x11.

%package cd-linux
Summary:	QuakeForge - Linux CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla Linuksa
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description cd-linux
QuakeForge - native Linux CD plugin.

%description cd-linux -l pl
QuakeForge - wtyczka CD uywajca mechanizmw charakterystycznych dla
Linuksa.

%package cd-sdl
Summary:	QuakeForge - SDL CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla SDL
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description cd-sdl
QuakeForge - CD plugin that uses SDL to access drive.

%description cd-sdl -l pl
QuakeForge - wtyczka CD odwoujca si do odtwarzacza poprzez SDL.

%package cd-xmms
Summary:	QuakeForge - xmms CD plugin
Summary(pl):	QuakeForge - wtyczka CD dla xmms
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description cd-xmms
QuakeForge - CD plugin that uses xmms to access drive.

%description cd-xmms -l pl
QuakeForge - wtyczka CD odwoujca si do odtwarzacza poprzez xmms.

%package libs-gl
Summary:	QuakeForge - OpenGL renderer libraries
Summary(pl):	QuakeForge - biblioteki renderujace OpenGL
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}
Requires:	OpenGL

%description libs-gl
QuakeForge - OpenGL renderer libraries.

%description libs-gl -l pl
QuakeForge - biblioteki renderujce z uyciem OpenGL.

%package libs-sw
Summary:	QuakeForge - Software renderer libraries
Summary(pl):	QuakeForge - biblioteki do renderowania programowego
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description libs-sw
QuakeForge - Software renderer libraries.

%description libs-sw -l pl
QuakeForge - biblioteki do renderowania programowego.

%package snd-alsa
Summary:	ALSA sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa ALSA dla QuakeForge
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description snd-alsa
The ALSA plugin for QuakeForge provides digital audio output for
QuakeForge targets that contain clients.

%description snd-alsa -l pl
Wtyczka ALSA dla QuakeForge udostpnia cyfrowe wyjcie dwiku dla
klientw gry.

%package snd-oss
Summary:	OSS sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa OSS dla QuakeForge
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description snd-oss
The OSS plugin for QuakeForge provides digital audio output (using
OSS/Linux, OSS/Free, or kernel sound) for QuakeForge targets that
contain clients.

NOTE: This plugin does not work on all systems, since it uses
memory-mapped I/O for the output device. If you have trouble, try the
%{name}-snd-alsa package.

%description snd-oss -l pl
Wtyczka OSS dla QuakeForge udostpnia cyfrowe wyjcie dwieku
(uywajce OSS/Linux, OSS/Free lub obsugi dwiku wkompilowanej w
kernel) dla klientw gry.

UWAGA: Ta wtyczka nie dziaa na wszystkich systemach, gdy uzywaj one
mapowanego w pamici I/O dla urzdzenia wyjciowego. Jeli masz z ni
kopoty - sprbuj uy pakietu %{name}-snd-alsa.

%package snd-sdl
Summary:	SDL sound plugin for QuakeForge
Summary(pl):	Wtyczka dwikowa SDL dla QuakeForge
Group:		Applications/Games
Requires:	%{name}-common = %{version}-%{release}

%description snd-sdl
The SDL plugin for QuakeForge provides digital audio output for
QuakeForge targets that contain clients.

%description snd-sdl -l pl
Wtyczka SDL dla QuakeForge udostpnia cyfrowe wyjcie dwiku dla
klientw gry.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoheader}
%{__libtoolize} --automake
%{__automake}
%{__autoconf}
# --without-arch --disable-debug --disable-optimize mean only not to
# override our CFLAGS passed by %%configure
%configure \
	--with-x \
	--without-arch \
	--disable-debug \
	--disable-optimize \
	--enable-vidmode \
	--enable-dga \
	--with-plugin-path=%{_libdir}/%{name} \
	--with-sharepath=%{_datadir}/%{name} \
	--with-global-cfg="%{_sysconfdir}/%{name}/%{name}.conf" \
	--with-user-cfg="~/.%{name}/%{name}.conf" \
	--with-clients=fbdev,glx,sdl,sdl32,sgl,%{?with_svga:3dfx,svga,}x11 \
	%{!?with_alsa:--disable-alsa}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,%{name}},%{_datadir}/%{name}/qw} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

echo "map e1m3" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/nq-server.cfg

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/qw-server.cfg

cd $RPM_BUILD_ROOT%{_datadir}/%{name}/qw
ln -sf %{_sysconfdir}/%{name}/qw-server.cfg server.cfg
cd -

cd $RPM_BUILD_ROOT/etc/rc.d/init.d
tar zxfv %{SOURCE2}
cd -

install %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}

qfver="glx sdl sdl32 sgl x11"

for f in $qfver; do
	desktopfile="$RPM_BUILD_ROOT%{_desktopdir}/qw-client-$f.desktop"
	cat >$desktopfile <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=QuakeWorld ($f)
Comment=QuakeWorld client ($f version)
Comment[pl]=Klient QuakeWorld (w wersji $f)
Exec=qw-client-$f
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;X-FPPGame;
EOF
	desktopfile="$RPM_BUILD_ROOT%{_desktopdir}/nq-$f.desktop"
	cat >$desktopfile <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Quake ($f)
Exec=nq-$f
Icon=%{name}.png
Terminal=false
Type=Application
Categories=Game;X-FPPGame;
EOF
done

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post 	common -p /sbin/ldconfig
%postun common -p /sbin/ldconfig

%post 	libs-gl -p /sbin/ldconfig
%postun libs-gl -p /sbin/ldconfig

%post 	libs-sw -p /sbin/ldconfig
%postun libs-sw -p /sbin/ldconfig

%post servers
/sbin/chkconfig --add qw-serverd
if [ -f /var/lock/subsys/qw-serverd ]; then
	/etc/rc.d/init.d/qw-serverd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/qw-serverd start\" to start QuakeWorld Server."
fi
/sbin/chkconfig --add nq-serverd
if [ -f /var/lock/subsys/nq-serverd ]; then
	/etc/rc.d/init.d/nq-serverd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/nq-serverd start\" to start NQuake Server."
fi

%preun servers
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/qw-serverd ]; then
		/etc/rc.d/init.d/qw-serverd stop 1>&2
	fi
	/sbin/chkconfig --del qw-serverd
fi
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/nq-serverd ]; then
		/etc/rc.d/init.d/nq-serverd stop 1>&2
	fi
	/sbin/chkconfig --del nq-serverd
fi

%files common
%defattr(644,root,root,755)
%doc NEWS TODO ChangeLog doc/[!Mm]*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/%{name}.conf
%attr(755,root,root) %{_libdir}/libQFcd.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFconsole.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFcsqc.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFgamecode.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFgamecode_builtins.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFgib.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFjs.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFmodels.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFsound.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFutil.so.*.*.*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/console_client.so
%attr(755,root,root) %{_libdir}/%{name}/snd_output_disk.so
%attr(755,root,root) %{_libdir}/%{name}/snd_render_default.so
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/qw
%{_datadir}/%{name}/QF
%{_pixmapsdir}/%{name}.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qfcc
%attr(755,root,root) %{_libdir}/libQFcd.so
%{_libdir}/libQFcd.la
%attr(755,root,root) %{_libdir}/libQFconsole.so
%{_libdir}/libQFconsole.la
%attr(755,root,root) %{_libdir}/libQFcsqc.so
%{_libdir}/libQFcsqc.la
%attr(755,root,root) %{_libdir}/libQFgamecode.so
%{_libdir}/libQFgamecode.la
%attr(755,root,root) %{_libdir}/libQFgamecode_builtins.so
%{_libdir}/libQFgamecode_builtins.la
%attr(755,root,root) %{_libdir}/libQFgib.so
%{_libdir}/libQFgib.la
%attr(755,root,root) %{_libdir}/libQFjs.so
%{_libdir}/libQFjs.la
%attr(755,root,root) %{_libdir}/libQFmodels.so
%{_libdir}/libQFmodels.la
%attr(755,root,root) %{_libdir}/libQFmodels_gl.so
%{_libdir}/libQFmodels_gl.la
%attr(755,root,root) %{_libdir}/libQFmodels_sw.so
%{_libdir}/libQFmodels_sw.la
%attr(755,root,root) %{_libdir}/libQFrenderer_gl.so
%{_libdir}/libQFrenderer_gl.la
%attr(755,root,root) %{_libdir}/libQFrenderer_sw32.so
%{_libdir}/libQFrenderer_sw32.la
%attr(755,root,root) %{_libdir}/libQFsound.so
%{_libdir}/libQFsound.la
%attr(755,root,root) %{_libdir}/libQFutil.so
%{_libdir}/libQFutil.la
%{_includedir}/QF
%{_mandir}/man1/qfcc.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libQFcd.a
%{_libdir}/libQFconsole.a
%{_libdir}/libQFcsqc.a
%{_libdir}/libQFgamecode.a
%{_libdir}/libQFgamecode_builtins.a
%{_libdir}/libQFgib.a
%{_libdir}/libQFjs.a
%{_libdir}/libQFmodels.a
%{_libdir}/libQFmodels_gl.a
%{_libdir}/libQFrenderer_gl.a
%{_libdir}/libQFmodels_sw.a
%{_libdir}/libQFrenderer_sw32.a
%{_libdir}/libQFsound.a
%{_libdir}/libQFutil.a
%{_libdir}/ruamoko

%files servers
%defattr(644,root,root,755)
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}/*-server.cfg
%attr(755,root,root) %{_bindir}/hw-master
%attr(755,root,root) %{_bindir}/qw-master
%attr(755,root,root) %{_bindir}/qw-server
%attr(755,root,root) %{_bindir}/nq-server
%attr(755,root,root) %{_libdir}/%{name}/console_server.so
%{_datadir}/%{name}/qw/server.cfg
%attr(754,root,root) /etc/rc.d/init.d/*-[!m]*

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pak
%attr(755,root,root) %{_bindir}/bsp2img
%attr(755,root,root) %{_bindir}/qfbsp
%attr(755,root,root) %{_bindir}/qfdefs
%attr(755,root,root) %{_bindir}/qflight
%attr(755,root,root) %{_bindir}/qfmodelgen
%attr(755,root,root) %{_bindir}/qfprogs
%attr(755,root,root) %{_bindir}/qfvis
%attr(755,root,root) %{_bindir}/qfwavinfo
%attr(755,root,root) %{_bindir}/zpak
%{_mandir}/man1/pak.1*
%{_mandir}/man1/qflight.1*
%{_mandir}/man1/qfvis.1*

%if %{with svga}
%files 3dfx
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*3dfx
%endif

%files fbdev
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*fbdev

%files glx
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*glx
%{_desktopdir}/*glx.desktop

%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*sdl
%{_desktopdir}/*sdl.desktop

%files sdl32
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*sdl32
%{_desktopdir}/*sdl32.desktop

%files sgl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*sgl
%{_desktopdir}/*sgl.desktop

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*svga
%endif

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*x11
%{_desktopdir}/*x11.desktop

%files cd-linux
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/cd_linux.so

%files cd-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/cd_sdl.so

%files cd-xmms
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/cd_xmms.so

%files libs-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQFmodels_gl.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFrenderer_gl.so.*.*.*

%files libs-sw
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQFmodels_sw.so.*.*.*
%attr(755,root,root) %{_libdir}/libQFrenderer_sw32.so.*.*.*

%if %{with alsa}
%files snd-alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_alsa*.so
%endif

%files snd-oss
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_oss.so

%files snd-sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/snd_output_sdl.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quakeforge.spec,v $
Revision 1.71  2004/09/21 00:46:22  ankry
- Categories fixed

Revision 1.70  2004/09/09 18:09:58  qboosh
- script -p adds Requires() automatically, dups removed

Revision 1.69  2004/09/08 20:20:28  adamg
- run ldconfig also for libs-gl and libs-sw

Revision 1.68  2004/09/08 20:07:12  adamg
- common subpackage: Requires(post,postun): /sbin/ldconfig
- release 3

Revision 1.67  2004/09/08 20:04:30  adamg
- run ldconfig after (un)installing common subpackage

Revision 1.66  2004/06/27 17:12:16  qboosh
- now we have svgalib on all supported archs

Revision 1.65  2004/05/30 11:53:33  adamg
- cosmetics in description of -common package

Revision 1.64  2004/04/11 18:52:38  qboosh
- release 2

Revision 1.63  2004/04/11 18:52:18  qboosh
- added noio patch (fixes build on sparc)

Revision 1.62  2004/04/11 17:31:16  qboosh
- added svga-noasm,libdir patches (fix build on alpha and amd64)

Revision 1.61  2004/04/11 12:50:42  qboosh
- updated to 0.5.4 release
- added alsa patch and quakeforge.conf missing from CVS
- switched to vfolders, updated configure options

Revision 1.60  2004/02/16 00:03:05  eothane
- bcond style, changelog cleanups

Revision 1.59  2003/11/11 14:45:08  qboosh
- now there is alsa on sparc*

Revision 1.58  2003/11/10 23:01:50  qboosh
- BR: libtool

Revision 1.57  2003/10/03 15:00:48  qboosh
- cosmetics

Revision 1.56  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.55  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.54  2003/07/29 14:17:59  qboosh
- added missing Requires(): chkconfig or PreReq: rc-scripts

Revision 1.53  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.52  2003/05/28 13:01:34  malekith
- massive attack: source-md5

Revision 1.51  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.50  2003/05/25 06:26:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/02/17 23:30:39  adgor
- Shared data stored in %{_datadir}/%{name}
- %{name}.conf as source
- Cosmetics
- Release 2.%{_snapshot}.3

Revision 1.48  2003/02/17 19:15:04  qboosh
- added missing dirs, noticed pathnames inconsequence

Revision 1.47  2003/02/15 21:55:45  adgor
- Ops

Revision 1.46  2003/02/15 21:54:22  adgor
- Removed nas-devel from br

Revision 1.45  2003/02/14 14:26:52  adgor
- Main package is now known as %{name}-common
- Release 2.%{_snapshot}.2

Revision 1.44  2003/02/14 12:07:52  adgor
- Updated to 20030214 snap
- Fixed %%files sections

Revision 1.43  2002/12/02 22:08:49  ankry
- pl Summary/description fixes
- adapterized

Revision 1.42  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.41  2002/11/25 14:18:43  ankry
- massive attack: no need for 755 for *.la

Revision 1.40  2002/10/21 22:14:17  qboosh
- added --without-arch to use -march passed by %%configure

Revision 1.39  2002/10/14 14:14:58  adgor
- "--without svga" disables 3dfx support too

Revision 1.38  2002/10/11 23:51:35  kloczek
- cosmetics.

Revision 1.37  2002/10/11 22:36:48  adgor
- Added nq-server.cfg (use updated %{SOURCE2}) with predefined map
- Added empty qw-server.cfg
- All global cfg files are now placed in one (%{_sysconfdir}/%{name]) directory
- Simplifications
- Realease 2

Revision 1.36  2002/10/10 11:15:42  wrobell
- rel. 1, stb

Revision 1.35  2002/10/10 11:12:55  wrobell
- bcond for 3dfx added

Revision 1.34  2002/10/09 22:20:49  adgor
- Added missing files

Revision 1.33  2002/10/08 23:55:32  wrobell
- ver. 0.5.2

Revision 1.32  2002/09/15 20:15:13  marcus
- on ppc 3dfx subpackage dosen't build
- rel.3.

Revision 1.31  2002/09/15 19:55:14  adgor
- BR bison

Revision 1.30  2002/09/14 16:26:42  ankry
- quakeforge-svga obsoletes quakeforge-svgalib
- release 2

Revision 1.29  2002/08/23 16:14:20  qboosh
- moved %%files cd-xmms just after other cd-* plugins

Revision 1.28  2002/08/22 22:37:00  adgor
- Updated to 0.5.1.20020822
- Added 3dfx subpackage
- Added missing files

Revision 1.27  2002/08/17 22:32:34  adgor
- Merge branch DEVEL
- Version 0.5.1.20020816
- STBR

Revision 1.26.2.1  2002/08/17 11:51:17  adgor
- Updated to 0.5.1.20020816 (sgl targets work now)
- Some changes with QF plugins new style
- Added cd-xmms subpackage
- BR xmms-devel, automake >= 1.6

Revision 1.26  2002/08/14 19:59:35  qboosh
- fixed build --without alsa
- added missing dirs, enabled svga version on alpha
- reordered subpackages (first by function, then by name), added int. Requires
- release 3

Revision 1.25  2002/08/13 11:04:12  kloczek
- more fixes for sparc*.

Revision 1.24  2002/08/13 09:51:12  kloczek
- move arch depending settings before BuildRequires rules (on top spec file).

Revision 1.23  2002/08/13 08:50:18  kloczek
- s/%define/%global/ in arch dependent settins.

Revision 1.22  2002/08/12 21:29:56  kloczek
- remove suid root from svga binary (we don't need suid root for run svga
  applications),
- cleanups and cosmetics.

Revision 1.21  2002/08/12 18:52:46  marcus
- merge branch devel
- version 0.5.1

Revision 1.15.2.4  2002/08/12 11:14:25  marcus
- fixed for !ix86

Revision 1.15.2.3  2002/07/14 23:07:37  adgor
- Cleaning in %%doc
- Release 2

Revision 1.15.2.2  2002/07/13 18:18:30  adgor
- Updated to 0.5.1.20020712

Revision 1.15.2.1  2002/07/12 15:45:43  adgor
- Updated to 0.5.1
- Added new subpackages
- Added %{name}-servers.tgz
- New descriptions

Revision 1.15  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:14:46  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.10  2001/05/22 09:06:51  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_)
  no release changes only simple s/// perfored

Revision 1.9  2001/04/20 22:30:46  blues
- rebuild against SDL 1.2

Revision 1.8  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.7  2001/03/15 05:05:47  kloczek
- release 2.

Revision 1.6  2001/03/13 17:09:31  qboosh
- _without_alsa

Revision 1.5  2001/02/19 14:39:19  kloczek
- updated to 0.3.0,
- added ah_fixes patch with autoheader fixes.

Revision 1.4  2001/01/29 13:15:31  kloczek
- added desktop file and icons (based on logo from home page),
- diable Buildrequire rule on sparc for alsa-libs-devel,
- remove all silly mnipulations in CFLAGS (ac_fixes patch) and remove
  --disable-profile, --disable-debug from autoconf parameters in %build,
- added info patch with info index entry fix for quakeforge,
- added %post, %postun scripts with update info index,
- added acconfig.h patch with missing acconfig.h file for autoheader,
- cosmetics in Summary and %description,
- place executables in %%{_bindir}, %%{_sbindir}.

Revision 1.3  2001/01/28 13:02:00  misiek
- updated. stb

Revision 1.2  2000/11/26 10:44:45  misiek
- moved binaries to /usr/games

Revision 1.1  2000/11/25 14:53:32  misiek
- new spec
